Bug 198518 - i386: vDSO unsupported, enabling it causes panic
i386: vDSO unsupported, enabling it causes panic
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-11 12:14 EDT by John W. Lockhart
Modified: 2013-03-06 00:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-06 10:37:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John W. Lockhart 2006-07-11 12:14:07 EDT
Description of problem:
vDSO works on x86_64, but on i386, the kernel panics if you
try to enable the support.

Version-Release number of selected component (if applicable):
2.6.9-40

How reproducible:
sysctl -w kernel.vdso=1

Steps to Reproduce:
1. sysctl -w kernel.vdso=1
2. or boot with "vdso=1" on the kernel boot line
  
Actual results:
panic.  traceback not currently available, but the feature
is not yet supported on i386; please update if you need
the full panic message.

Expected results:
vDSO support as seen in FC6.

Additional info:
Seen in testing binutils (2006:0489), which should now support vDSO
and does on x86_64.

Quick test to see if the feature is turned on is 
ldd /bin/true | grep linux-gate
Comment 1 Jason Baron 2006-10-25 16:06:11 EDT
this would require a fair amount of backports and testing...i'd suggest we close
this wouldn't fix for rhel4, unless there is a customer dying to have
this...John, why do you need this? for rhts testing?
Comment 2 John W. Lockhart 2006-10-25 16:19:19 EDT
Jason, I'm not necessarily the right person to ask for that :)

It's evidently used by binutils, and the binutils maintainer(s)
should best be able to explain what they're using it for.
I just ran across it while trying the features in a binutils
update.
Comment 3 Jason Baron 2006-10-26 07:03:06 EDT
rhel4 binaries should continue to work properly without this kernel feature even
if they are not optimal...i'd suggest we close this wouldn't fix unless i'm
missing something.

Note You need to log in before you can comment on or make changes to this bug.